DO $$
	DECLARE
		_path character varying(256) := 'patch-2026_02_06-MessageSettings';
		_build integer := 16045;
	BEGIN
		IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build" >= _build) THEN
			RETURN;
		END IF;

		BEGIN
			ALTER TABLE public."MessageSettings" ADD "Host" VARCHAR(512);

			CREATE INDEX IF NOT EXISTS "IDX_MessageSettings-Key-Lang-Host"
			ON public."MessageSettings" USING btree
			("Key" ASC NULLS LAST, "Lang" ASC NULLS LAST, "Host" ASC NULLS LAST)
			TABLESPACE pg_default;

			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

		EXCEPTION
			WHEN OTHERS THEN
				RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
		END;
	END;
$$;